#ifndef PWCHANGEDIALOG_H
#define PWCHANGEDIALOG_H

#include <QDialog>
#include <QString>

#include "krb5_tw_gettext.h"

#include "ui_pwchangedialog.h"

class PWChangeDialog : public QDialog, private Ui::PWChangeDialog
{
    Q_OBJECT

public:
    PWChangeDialog( QWidget* parent = 0, const char* name = 0,
                   bool modal = false, Qt::WindowFlags fl = (Qt::WindowFlags)0 )
    	: QDialog(parent, fl)
	{
		setModal(modal);
		setAccessibleName(name);
		setupUi(this);
	}
	
	~PWChangeDialog() {}

	void titleTextLabelSetText(const QString& text)
	{
		titleTextLabel->setText(text);
	}

	void errorLabelSetText(const QString& text)
	{
		errorLabel->setText(text);
	}

	QString knewpwText() const
	{
		return knewpasswordwidget->password();
	}

	QString pwOldEditText() const
	{
		return pwEdit1->text();
	}

	bool pwIsOk() const
	{
		return (knewpasswordwidget->passwordStatus() != KNewPasswordWidget::PasswordNotVerified &&
		knewpasswordwidget->passwordStatus() != KNewPasswordWidget::EmptyPasswordNotAllowed);
	}

};

#endif // PWCHANGEDIALOG_H
